/// <reference types="react" />
import type { IconName } from "../../../ui";
type Props = {
    className?: string;
    title?: string;
    icon?: IconName;
    onBack?: () => void;
    onClose?: () => void;
};
declare function SidebarHeader({ className, title, icon, onBack, onClose }: Props): import("react/jsx-runtime").JSX.Element;
declare const _default: typeof SidebarHeader & {
    Root: import("@emotion/styled").StyledComponent<{
        theme?: import("@emotion/react").Theme | undefined;
        as?: import("react").ElementType<any, keyof import("react").JSX.IntrinsicElements> | undefined;
    }, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
};
export default _default;
